Subject: guix home not respecting guix pull -C

From: Zacchaeus Scheffer <[email-masked]>
Date: Tue, 8 Feb 2022 18:57:14 -0500

Hi Guix!

I came across some weird behavior with guix home.  I wanted to recreate a
working home environment from one machine on another (because I need a
working qutebrowser install :3).  I did this by doing "guix pull
--allow-downgrades -C" on my non-working computer using a channels file on
the working one generated with "guix package --export-channels".  However,
when I did "guix home reconfigure ...", old versions of packages were NOT
installed.  I was able to downgrade the desired package with "guix package
-i" (only that package was downgraded).

My understanding is that "guix home reconfigure" SHOULD behave like "guix
package --manifest", and install all packages in the most recent guix pull.

Very minor and not impeding me, but thought y'all should know,
-Zacchaeus Scheffer